#
# spec file for package perl-File-Rsync
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-Rsync
Version:        0.49
Release:        1.31
%define cpan_name File-Rsync
Summary:        Perl Module Interface to Rsync(1) F<Http://Rsync.Samba.Org/Rsync/>
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Rsync/
Source0:        http://www.cpan.org/authors/id/L/LE/LEAKIN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IPC::Run3)
Requires:       perl(IPC::Run3)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  rsync
Requires:       rsync
# MANUAL END

%description
Perl Convenience wrapper for the rsync(1) program. Written for
_rsync-2.3.2_ and updated for _rsync-3.1.1_ but should perform properly
with most recent versions.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changelog README TODO

%changelog
* Fri Mar 11 2016 coolo@suse.com
- updated to 0.49
  see /usr/share/doc/packages/perl-File-Rsync/Changelog
  Thu Mar 10 07:52:24 CST 2016 ( leakin at japh dot net )
  * version 0.49: fix infun, broken since 0.46 refactor
  Michal Krupicka ( Michal dot Krupicka at skoda-auto dot cz ) reported
  that I broke the the input function (it worked differently from 0.45
  and the documentation) when I converted to using IPC::Run3.  This restores
  compatability with 0.45. Thanks Michal.
* Tue Sep 22 2015 coolo@suse.com
- updated to 0.48
  see /usr/share/doc/packages/perl-File-Rsync/Changelog
  Mon Sep 21 15:58:35 CDT 2015 ( leakin at dfw dot nostrum dot com )
  * version 0.48: fix list option parsing
  Bill Shunn ( proprietor at shunn dot net ) found a bug in list option
  parsing that broke filters (and probably others as well).
* Sun Sep 20 2015 coolo@suse.com
- updated to 0.47
  see /usr/share/doc/packages/perl-File-Rsync/Changelog
  Fri Sep 11 08:36:39 CDT 2015 ( leakin at dfw dot nostrum dot com )
  * version 0.47: fixed hash ref parsing
  Andreas Koenig ( andk at cpan dot org ) pointed out a problem
  with the hash ref compatibility code, and then graciously provided
  a test case to help me track down the problem. Added another
  test to confirm.
* Sun Aug 23 2015 coolo@suse.com
- updated to 0.46
  see /usr/share/doc/packages/perl-File-Rsync/Changelog
  Wed Jul 29 09:32:05 CDT 2015 ( leakin at dfw dot nostrum dot com )
  * version 0.46: added support for new options up to 3.1.1
  Max Maischein ( corion at corion dot net ) provided code and
  insight on how to support Windows OS, as well as some improved
  tests.  IPC::Open3 was replaced with IPC::Run3 as part of this
  effort, thanks to Max for showing me this module.  It simplified
  a big chunk of code and I was able to take advantage of its
  features in a few places (see infun and files-from below).
  Gavin Carr ( gavin at openfusion dot com dot au ) enlightened me
  some time ago of the advantages of ordered args with rsync.
  Order of args is now preserved.  This is a long overdue change.
  Rsync itself performs some things differently based on the order
  of some args, hopefully this is a big improvement in functionality
  and doesn't break anyone.  Passing options as a hash ref is now
  deprecated.  Thanks Gavin, sorry it took me so long to implement.
  Petya Kohts ( kohts at yandex-team dot ru ) suggested code
  for srchost that would properly handle the rsync:// prefix
  Neil Hooey ( nhooey at gmail dot com) provided a better
  algorithm for the status method.
  Erez Schatz ( moonbuzz at gmail dot com ) sent improved pod
  formatting that should work better with pod2html
  The module debug option has become moddebug so it does not conflict
  with the rsync debug option.
  infun can now be an array ref, contents are fed to stdin via IPC::Run3
  files-from can also be an array ref, this is handled in the module
  by setting infun to the array ref and --files-from='-'
  Added several more tests.
* Sat Dec 27 2014 lars@linux-schulserver.de
- update to 0.45:
  + removed 'use File::Rsync::Config', oops
  + long overdue fix for automated builds, removed prompt for
    rsync path to use PATH enviroment instead
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Jul 30 2010 lars@linux-schulserver.de
- initial version 0.43
